Bug 1093076 (CVE-2014-3122) - CVE-2014-3122 Kernel: mm: try_to_unmap_cluster() should lock_page() before mlocking
Summary: CVE-2014-3122 Kernel: mm: try_to_unmap_cluster() should lock_page() before ml...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3122
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1078349 1092365 1093080 1093081 1093082 1093083 1093084
Blocks: 1092565
TreeView+ depends on / blocked
 
Reported: 2014-04-30 14:36 UTC by Prasad J Pandit
Modified: 2019-09-29 13:16 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the try_to_unmap_cluster() function in the Linux kernel's Memory Managment subsystem did not properly handle page locking in certain cases, which could potentially trigger the BUG_ON() macro in the mlock_vma_page() function. A local, unprivileged user could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2016-02-10 07:27:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0557 normal SHIPPED_LIVE Important: kernel-rt security update 2014-05-27 20:25:52 UTC
Red Hat Product Errata RHSA-2014:1392 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-10-14 01:28:44 UTC

Description Prasad J Pandit 2014-04-30 14:36:10 UTC
Linux kernel kernel's Memory Management subsystem is vulnerable to a crash
caused by unlocked memory pages. It could occur during the memory page
migration or while cleaning the swap cache pages.

An unprivileged user/program could use this flaw to crash the system kernel,
resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/57e68e9cd65b4b8eb4045a1e0d0746458502554c

Comment 1 Prasad J Pandit 2014-04-30 14:45:33 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Comment 4 Prasad J Pandit 2014-04-30 14:51:15 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1093084]

Comment 5 Fedora Update System 2014-05-10 03:21:07 UTC
kernel-3.14.3-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-05-21 23:22:41 UTC
kernel-3.14.4-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2014-05-27 16:28:13 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0557 https://rhn.redhat.com/errata/RHSA-2014-0557.html

Comment 8 Martin Prpič 2014-10-07 09:19:08 UTC
IssueDescription:

It was found that the try_to_unmap_cluster() function in the Linux kernel's Memory Managment subsystem did not properly handle page locking in certain cases, which could potentially trigger the BUG_ON() macro in the mlock_vma_page() function. A local, unprivileged user could use this flaw to crash the system.

Comment 9 errata-xmlrpc 2014-10-14 06:06:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1392 https://rhn.redhat.com/errata/RHSA-2014-1392.html


Note You need to log in before you can comment on or make changes to this bug.